Skip to main content

Upload an expense document for a transaction

POST 

/api/transactions/:id/expense-upload

This endpoint uploads an expense document for an existing transaction.

Prerequisites:

To use this endpoint you need to have the ACCOUNTING scope for the API Key. Please contact your relation manager to get this permission.

Eligibility: The transaction type must be enabled in the business partner expense settings targets.

Request

Path Parameters

    id stringrequired

    Transaction identifier

Header Parameters

    Unique-Request-Id string

    Possible values: <= 50 characters

    An optional unique identifier for the request, limited to 50 characters. Used to track requests and prevent duplication.

Body

required
    file binaryrequired

Responses

Created - The request was processed successfully.

Schema
    id string
    name stringnull
    mimeType string
    transactionId integernull
    createdAt string

    Datetime of the creation in format Y-m-d H:i:s.

Loading...